//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentNullException" />
public string OperationFormatString
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _OperationFormatString_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _OperationFormatString_ = value;
   }
}

//--------------------------------------------------------------------------------------------------

/// <exception cref="ArgumentNullException" />
public string DialogPromptString
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _DialogPromptString_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _DialogPromptString_ = value;
   }
}

/// <exception cref="ArgumentNullException" />
public string DialogPromptFormatString
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _DialogPromptFormatString_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _DialogPromptFormatString_ = value;
   }
}

//--------------------------------------------------------------------------------------------------

/// <exception cref="ArgumentNullException" />
public string FeaturedInscriptionFormatString
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _FeaturedInscriptionFormatString_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _FeaturedInscriptionFormatString_ = value;
   }
}

//--------------------------------------------------------------------------------------------------

/// <exception cref="ArgumentNullException" />
public string ListItemPairSingleLigament
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _ListItemPairSingleLigament_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _ListItemPairSingleLigament_ = value;
   }
}

/// <exception cref="ArgumentNullException" />
public string ListItemPairMultipleLigament
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _ListItemPairMultipleLigament_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _ListItemPairMultipleLigament_ = value;
   }
}

/// <exception cref="ArgumentNullException" />
public string ListItemEquationLigament
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _ListItemEquationLigament_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _ListItemEquationLigament_ = value;
   }
}

/// <exception cref="ArgumentNullException" />
public string ListItemNumberValueSeparator
{
   get
   {
      lock (_InstanceSyncRoot_)
         return _ListItemNumberValueSeparator_;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         _ListItemNumberValueSeparator_ = value;
   }
}

//--------------------------------------------------------------------------------------------------
/*
public string 
{
   get
   {
      lock (_InstanceSyncRoot_)
         return __;
   }
   set
   {
      HArgChecking.VerifyNotNull( value );
      lock (_InstanceSyncRoot_)
         __ = value;
   }
}
*/
//==================================================================================================

public string LongDash
{
   get { return new string(DashChar,LongDashLength); }
}

//==================================================================================================

string
   _OperationFormatString_             = "* {0} ... ",
   _DialogPromptString_                = HUnicode.BlackRightPointingPointer+" . . . ",
   _DialogPromptFormatString_          = HUnicode.BlackRightPointingPointer+" {0} . . . ",
   _FeaturedInscriptionFormatString_   = string.Format( "{1}{1}{1} {0} {1}{1}{1}",
                                                        "{0}", HUnicode.BlackSquare ),
   _ListItemPairSingleLigament_        = ": ",
   _ListItemPairMultipleLigament_      = " : ",
   _ListItemEquationLigament_          = " = ",
   _ListItemNumberValueSeparator_      = ") ";

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
